apiVersion: serving.knative.dev/v1
kind: Service
metadata:
  name: helloworld
  namespace: default
spec:
  template:
    metadata:
      annotations:
        # https://knative.dev/docs/serving/autoscaling/
        autoscaling.knative.dev/target: "50"
        autoscaling.knative.dev/metric: "rps"
    spec:
      containers: # NOTE: helloworld image is not available for ARM
        - image: nginx:1.25 # gcr.io/knative-samples/helloworld-go
          ports:
          - containerPort: 80